Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface ECPrivateKey

All Superinterfaces:
  ECKey, Key, PrivateKey, Serializable

    public interface ECPrivateKey

extends PrivateKey, ECKey

The interface to an elliptic curve (EC) private key.

Since:
  1.5
See Also:
  `PrivateKey`, `ECKey`

Field Summary
`static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility.

Method Summary
`BigInteger` | `getS()` Returns the private value S.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Methods inherited from interface java.security.interfaces.ECKey
`getParams`

Field Detail

### serialVersionUID

    static final long serialVersionUID

  The class fingerprint that is set to indicate serialization compatibility.

  See Also:
    Constant Field Values

Method Detail

### getS

    BigInteger getS()

  Returns the private value S.

  Returns:
    the private value S.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.